import { screen, fireEvent, type RenderResult } from '@testing-library/react';
import { renderComponentWithProvider } from '@/utils/renderComponentWithProvider';
import { Drawer } from './Drawer.component';

const renderComponent = (): RenderResult => renderComponentWithProvider(<Drawer />);

describe('Drawer - component', () => {
  it('should render Drawer', () => {
    renderComponent();

    expect(screen.getByRole('drawer')).toBeInTheDocument();
  });

  it('should close Drawer', async () => {
    renderComponent();

    const button = screen.getByRole('close-drawer-button');

    await fireEvent.click(button);

    expect(screen.getByRole('drawer')).not.toHaveClass('translate-x-0');
  });
});
