import { PayloadAction } from '@reduxjs/toolkit';
import { DrawerState } from '@/redux/drawer/drawer.types';
import { PathName } from '@/types/pathName';

export const openDrawerReducer = (state: DrawerState, action: PayloadAction<PathName>): void => {
  state.open = true;
  state.pathName = action.payload;
};

export const closeDrawerReducer = (state: DrawerState, action: PayloadAction<PathName>): void => {
  state.open = false;
  state.pathName = action.payload;
};
