import { Accordion as Ac } from 'react-accessible-accordion';
import { DivAttributes } from 'react-accessible-accordion/dist/types/helpers/types';

type ID = string | number;

type AccordionProps = Pick<DivAttributes, Exclude<keyof DivAttributes, 'onChange'>> & {
  children: React.ReactNode;
  preExpanded?: ID[];
  allowMultipleExpanded?: boolean;
  allowZeroExpanded?: boolean;
  onChange?(args: ID[]): void;
};

export const Accordion = ({
  children,
  preExpanded,
  allowMultipleExpanded,
  allowZeroExpanded,
  onChange,
  ...rest
}: AccordionProps): JSX.Element => (
  <Ac
    preExpanded={preExpanded}
    allowMultipleExpanded={allowMultipleExpanded}
    allowZeroExpanded={allowZeroExpanded}
    onChange={onChange}
    {...rest}
  >
    {children}
  </Ac>
);
