import { disease } from '@/models/disease';
import { drugSchema } from '@/models/drugSchema';
import { organism } from '@/models/organism';
import { projectSchema } from '@/models/project';
import { mirnaSchema } from '@/models/mirnaSchema';
import { bioEntityContentSchema } from '@/models/bioEntityContentSchema';
import { z } from 'zod';

export type Project = z.infer<typeof projectSchema>;
export type Organism = z.infer<typeof organism>;
export type Disease = z.infer<typeof disease>;
export type Drug = z.infer<typeof drugSchema>;
export type Mirna = z.infer<typeof mirnaSchema>;
export type BioEntityContent = z.infer<typeof bioEntityContentSchema>;
