import { getBioEntityContents } from '@/redux/bioEntityContents/bioEntityContents.thunks';
import { getDrugs } from '@/redux/drugs/drugs.thunks';
import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { getMirnas } from '@/redux/mirnas/mirnas.thunks';
import { selectSearchValue } from '@/redux/search/search.selectors';
import { setSearchValue } from '@/redux/search/search.slice';
import { useSelector } from 'react-redux';

const ReduxPage = (): JSX.Element => {
  const dispatch = useAppDispatch();
  const searchValue = useSelector(selectSearchValue);

  const triggerSyncUpdate = (): void => {
    // eslint-disable-next-line prefer-template
    const newValue = searchValue + 'test';
    dispatch(setSearchValue(newValue));
    dispatch(getDrugs('aspirin'));
    dispatch(getMirnas('hsa-miR-302b-3p'));
    dispatch(getBioEntityContents('park7'));
  };

  return (
    <div>
      {searchValue}
      <button type="button" onClick={triggerSyncUpdate}>
        sync update
      </button>
    </div>
  );
};

export default ReduxPage;
